Subject: Re: bug#46342: 28.0.50; socks-send-command munges IP address bytes to UTF-8

From: Eli Zaretskii <[email-masked]>
Date: Sat, 20 Feb 2021 13:08:50 +0200

> From: "J.P." <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 20 Feb 2021 02:13:27 -0800
> 
> > Thanks.  I wanted to install this, but it failed to apply to the
> > master branch.  Could you please rebase on the current master branch
> > and resubmit?
> 
> Hi Eli, I've gone ahead and rebased atop
> 
>   commit c85c8e7d42ae2a5fc95fa7b14257389d8383b34d
>   Author: Stefan Kangas <[email-masked]>
>   
>       Add toolbar for help-mode
>   
>    lisp/help-mode.el | 28 +++++++++++++++++++++++-----
>    1 file changed, 23 insertions(+), 5 deletions(-)
> 
> However the src/dest blob hashes (i.e., git-hash-object(1) SHAs in the
> diffs' index dead..beef 0644 lines) remain unchanged. Which leads me to
> think maybe the failure is related to these being two individual patches
> (a "change set").

No, that's not the reason; the changes applied cleanly this time.  So
this is now installed on the master branch.

Running the tests, I see a lot of stuff on the console.  Do we really
need that? can some of it be shut up?

Thanks.